# Statistics API endpoints

## Primary

⚠️ **Experimental**

**GET** `/api/stats/primary/`

Get primary statistics for your videos, channels, playlists and download queue.

## Watch Progress

⚠️ **Experimental**

**GET** `/api/stats/watch/`

Get statistics over your watch progress.

## Download History

⚠️ **Experimental**

**GET** `/api/stats/downloadhist/`

Get statistics for last days download history.

## Biggest Channels

⚠️ **Experimental**

**GET** `/api/stats/biggestchannels/`

Get a list of biggest channels, specify *order* parameter.

Parameter:  

- order: doc_count (default), duration, media_size
